# Uses of Enum Class
org.eclipse.emf.cdo.common.id.CDOID.ObjectType

Packages that use CDOID.ObjectType
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.spi.common.id
Common service provider interfaces and useful base implementations for dealing with object and revision IDs.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOID.ObjectType in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return types with arguments of type CDOID.ObjectType
Modifier and Type
Method
Description
`Set<CDOID.ObjectType>`
CDOCommonRepository.`getObjectIDTypes()`
Returns the type of CDOIDs created by the store of this repository.

## Uses of CDOID.ObjectType in org.eclipse.emf.cdo.common.id

Methods in org.eclipse.emf.cdo.common.id that return CDOID.ObjectType
Modifier and Type
Method
Description
`static CDOID.ObjectType`
CDOID.ObjectType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOID.ObjectType[]`
CDOID.ObjectType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.common.id with parameters of type CDOID.ObjectType
Modifier and Type
Method
Description
`static AbstractCDOID`
CDOIDUtil.`createCDOIDObject(CDOID.ObjectType subType)`
Deprecated.
As of 4.2 no longer supported.

## Uses of CDOID.ObjectType in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return types with arguments of type CDOID.ObjectType
Modifier and Type
Method
Description
`Set<CDOID.ObjectType>`
IStore.`getObjectIDTypes()`

## Uses of CDOID.ObjectType in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db that return types with arguments of type CDOID.ObjectType
Modifier and Type
Method
Description
`Set<CDOID.ObjectType>`
IIDHandler.`getObjectIDTypes()`

## Uses of CDOID.ObjectType in org.eclipse.emf.cdo.spi.common.id

Methods in org.eclipse.emf.cdo.spi.common.id that return CDOID.ObjectType
Modifier and Type
Method
Description
`CDOID.ObjectType`
InternalCDOIDObject.`getSubType()`

## Uses of CDOID.ObjectType in org.eclipse.emf.cdo.spi.server

Fields in org.eclipse.emf.cdo.spi.server with type parameters of type CDOID.ObjectType
Modifier and Type
Field
Description
`static final Set<CDOID.ObjectType>`
LongIDStore.`OBJECT_ID_TYPES`
Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type CDOID.ObjectType
Modifier and Type
Method
Description
`Set<CDOID.ObjectType>`
Store.`getObjectIDTypes()`
Method parameters in org.eclipse.emf.cdo.spi.server with type arguments of type CDOID.ObjectType
Modifier and Type
Method
Description
`protected void`
Store.`setObjectIDTypes(Set<CDOID.ObjectType> objectIDTypes)`
Constructor parameters in org.eclipse.emf.cdo.spi.server with type arguments of type CDOID.ObjectType
Modifier
Constructor
Description
``
`Store(String type, Set<CDOID.ObjectType> objectIDTypes, Set<IStore.ChangeFormat> supportedChangeFormats, Set<IStore.RevisionTemporality> supportedRevisionTemporalities, Set<IStore.RevisionParallelism> supportedRevisionParallelisms)`

## Uses of CDOID.ObjectType in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOID.ObjectType
Modifier and Type
Method
Description
`Set<CDOID.ObjectType>`
CDOSessionProtocol.OpenSessionResult.`getObjectIDTypes()`
Constructor parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOID.ObjectType
Modifier
Constructor
Description
``
`OpenSessionResult(int sessionID, String userID, String repositoryUUID, CDOCommonRepository.Type repositoryType, CDOCommonRepository.State repositoryState, String storeType, Set<CDOID.ObjectType> objectIDTypes, long repositoryCreationTime, long lastUpdateTime, CDOID rootResourceID, boolean repositorySupportingAudits, boolean repositorySupportingBranches, boolean repositorySerializingCommits, boolean repositoryEnsuringReferentialIntegrity, CDOCommonRepository.IDGenerationLocation repositoryIDGenerationLocation)`
Deprecated.
As of 4.4 use `OpenSessionResult(CDODataInput, int)`.